Skip to main content
GET
/
v1
/
sub-wallet
/
list
Get List of Sub Wallets
curl --request GET \
  --url https://api.openxswitch.com/v1/sub-wallet/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "63e1b8c2f18e310bb11f8a9c",
      "clientUserId": "client_001",
      "email": "walletName@openxswitch.org",
      "name": "OX Wallet",
      "isActive": "true",
      "language": "en_US",
      "canTrade": false,
      "createdAt": "2025-01-17T10:00:00Z",
      "updatedAt": "2025-01-17T12:00:00Z",
      "workspaceId": "63e1b8c2f18e310bb11f8a9c"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

email
string

The email associated with the sub-wallet.

Example:

"user@example.com"

name
string

The name of the sub-wallet.

Example:

"My Wallet"

clientUserId
string

The client user ID associated with the sub-wallet.

Example:

"client-12345"

pageNo
string

The page number for pagination.

Example:

"1"

pageLimit
string

The limit of results per page.

Example:

"10"

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required